Package org.lwjgl.opengles

# Class AMDPerformanceMonitor

java.lang.Object
org.lwjgl.opengles.AMDPerformanceMonitor

public final class AMDPerformanceMonitor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COUNTER_RANGE_AMD`
Accepted by the <pame> parameter of GetPerfMonitorCounterInfoAMD
`static final int`
`GL_COUNTER_TYPE_AMD`
Accepted by the <pame> parameter of GetPerfMonitorCounterInfoAMD
`static final int`
`GL_PERCENTAGE_AMD`
Returned as a valid value in <data> parameter of GetPerfMonitorCounterInfoAMD if <pname> = COUNTER_TYPE_AMD
`static final int`
`GL_PERFMON_RESULT_AMD`
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD
`static final int`
`GL_PERFMON_RESULT_AVAILABLE_AMD`
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD
`static final int`
`GL_PERFMON_RESULT_SIZE_AMD`
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD
`static final int`
`GL_UNSIGNED_INT64_AMD`
Returned as a valid value in <data> parameter of GetPerfMonitorCounterInfoAMD if <pname> = COUNTER_TYPE_AMD

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginPerfMonitorAMD(int monitor)`
`static void`
`glDeletePerfMonitorsAMD(int monitor)`
Overloads glDeletePerfMonitorsAMD.
`static void`
`glDeletePerfMonitorsAMD(IntBuffer monitors)`
`static void`
`glEndPerfMonitorAMD(int monitor)`
`static int`
`glGenPerfMonitorsAMD()`
Overloads glGenPerfMonitorsAMD.
`static void`
`glGenPerfMonitorsAMD(IntBuffer monitors)`
`static int`
`glGetPerfMonitorCounterDataAMD(int monitor, int pname)`
Overloads glGetPerfMonitorCounterDataAMD.
`static void`
`glGetPerfMonitorCounterDataAMD(int monitor, int pname, IntBuffer data, IntBuffer bytesWritten)`
`static void`
`glGetPerfMonitorCounterInfoAMD(int group, int counter, int pname, ByteBuffer data)`
`static void`
`glGetPerfMonitorCountersAMD(int group, IntBuffer numCounters, IntBuffer maxActiveCounters, IntBuffer counters)`
`static String`
`glGetPerfMonitorCounterStringAMD(int group, int counter, int bufSize)`
Overloads glGetPerfMonitorCounterStringAMD.
`static void`
`glGetPerfMonitorCounterStringAMD(int group, int counter, IntBuffer length, ByteBuffer counterString)`
`static void`
`glGetPerfMonitorGroupsAMD(IntBuffer numGroups, IntBuffer groups)`
`static String`
`glGetPerfMonitorGroupStringAMD(int group, int bufSize)`
Overloads glGetPerfMonitorGroupStringAMD.
`static void`
`glGetPerfMonitorGroupStringAMD(int group, IntBuffer length, ByteBuffer groupString)`
`static void`
`glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, int counter)`
Overloads glSelectPerfMonitorCountersAMD.
`static void`
`glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, IntBuffer counterList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COUNTER_TYPE_AMD

public static final int GL_COUNTER_TYPE_AMD
Accepted by the <pame> parameter of GetPerfMonitorCounterInfoAMD

See Also:
  - Constant Field Values

### GL_COUNTER_RANGE_AMD

public static final int GL_COUNTER_RANGE_AMD
Accepted by the <pame> parameter of GetPerfMonitorCounterInfoAMD

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_AMD

public static final int GL_UNSIGNED_INT64_AMD
Returned as a valid value in <data> parameter of GetPerfMonitorCounterInfoAMD if <pname> = COUNTER_TYPE_AMD

See Also:
  - Constant Field Values

### GL_PERCENTAGE_AMD

public static final int GL_PERCENTAGE_AMD
Returned as a valid value in <data> parameter of GetPerfMonitorCounterInfoAMD if <pname> = COUNTER_TYPE_AMD

See Also:
  - Constant Field Values

### GL_PERFMON_RESULT_AVAILABLE_AMD

public static final int GL_PERFMON_RESULT_AVAILABLE_AMD
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD

See Also:
  - Constant Field Values

### GL_PERFMON_RESULT_SIZE_AMD

public static final int GL_PERFMON_RESULT_SIZE_AMD
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD

See Also:
  - Constant Field Values

### GL_PERFMON_RESULT_AMD

public static final int GL_PERFMON_RESULT_AMD
Accepted by the <pname> parameter of GetPerfMonitorCounterDataAMD

See Also:
  - Constant Field Values

## Method Details

### glGetPerfMonitorGroupsAMD

public static void glGetPerfMonitorGroupsAMD(IntBuffer numGroups, IntBuffer groups)

### glGetPerfMonitorCountersAMD

public static void glGetPerfMonitorCountersAMD(int group, IntBuffer numCounters, IntBuffer maxActiveCounters, IntBuffer counters)

### glGetPerfMonitorGroupStringAMD

public static void glGetPerfMonitorGroupStringAMD(int group, IntBuffer length, ByteBuffer groupString)

### glGetPerfMonitorGroupStringAMD

public static String glGetPerfMonitorGroupStringAMD(int group, int bufSize)
Overloads glGetPerfMonitorGroupStringAMD.

### glGetPerfMonitorCounterStringAMD

public static void glGetPerfMonitorCounterStringAMD(int group, int counter, IntBuffer length, ByteBuffer counterString)

### glGetPerfMonitorCounterStringAMD

public static String glGetPerfMonitorCounterStringAMD(int group, int counter, int bufSize)
Overloads glGetPerfMonitorCounterStringAMD.

### glGetPerfMonitorCounterInfoAMD

public static void glGetPerfMonitorCounterInfoAMD(int group, int counter, int pname, ByteBuffer data)

### glGenPerfMonitorsAMD

public static void glGenPerfMonitorsAMD(IntBuffer monitors)

### glGenPerfMonitorsAMD

public static int glGenPerfMonitorsAMD()
Overloads glGenPerfMonitorsAMD.

### glDeletePerfMonitorsAMD

public static void glDeletePerfMonitorsAMD(IntBuffer monitors)

### glDeletePerfMonitorsAMD

public static void glDeletePerfMonitorsAMD(int monitor)
Overloads glDeletePerfMonitorsAMD.

### glSelectPerfMonitorCountersAMD

public static void glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, IntBuffer counterList)

### glSelectPerfMonitorCountersAMD

public static void glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, int counter)
Overloads glSelectPerfMonitorCountersAMD.

### glBeginPerfMonitorAMD

public static void glBeginPerfMonitorAMD(int monitor)

### glEndPerfMonitorAMD

public static void glEndPerfMonitorAMD(int monitor)

### glGetPerfMonitorCounterDataAMD

public static void glGetPerfMonitorCounterDataAMD(int monitor, int pname, IntBuffer data, IntBuffer bytesWritten)

### glGetPerfMonitorCounterDataAMD

public static int glGetPerfMonitorCounterDataAMD(int monitor, int pname)
Overloads glGetPerfMonitorCounterDataAMD.